!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 09:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1041)
  integer, parameter :: nGC_MMW_GF = 1
  integer, parameter :: nGC_3139 = 2
  integer, parameter :: nGC_3138 = 3
  integer, parameter :: nGC_3131 = 4
  integer, parameter :: nGC_3130 = 5
  integer, parameter :: nGC_3137 = 6
  integer, parameter :: nGC_3 = 7
  integer, parameter :: nGC_3047 = 8
  integer, parameter :: nGC_3046 = 9
  integer, parameter :: nGC_3045 = 10
  integer, parameter :: nGC_3044 = 11
  integer, parameter :: nGC_3188 = 12
  integer, parameter :: nGC_MZ_GF = 13
  integer, parameter :: nGC_28 = 14
  integer, parameter :: nGC_29 = 15
  integer, parameter :: nGC_22 = 16
  integer, parameter :: nGC_23 = 17
  integer, parameter :: nGC_20 = 18
  integer, parameter :: nGC_21 = 19
  integer, parameter :: nGC_26 = 20
  integer, parameter :: nGC_27 = 21
  integer, parameter :: nGC_24 = 22
  integer, parameter :: nGC_25 = 23
  integer, parameter :: nGC_3186 = 24
  integer, parameter :: nGC_GG = 25
  integer, parameter :: nGC_3181 = 26
  integer, parameter :: nGC_3498 = 27
  integer, parameter :: nGC_3504 = 28
  integer, parameter :: nGC_3500 = 29
  integer, parameter :: nGC_3501 = 30
  integer, parameter :: nGC_85 = 31
  integer, parameter :: nGC_3182 = 32
  integer, parameter :: nGC_3183 = 33
  integer, parameter :: nGC_3187 = 34
  integer, parameter :: nGC_3184 = 35
  integer, parameter :: nGC_70 = 36
  integer, parameter :: nGC_GGH = 37
  integer, parameter :: nGC_978 = 38
  integer, parameter :: nGC_71 = 39
  integer, parameter :: nGC_3164 = 40
  integer, parameter :: nGC_3165 = 41
  integer, parameter :: nGC_3166 = 42
  integer, parameter :: nGC_3167 = 43
  integer, parameter :: nGC_3160 = 44
  integer, parameter :: nGC_3161 = 45
  integer, parameter :: nGC_3162 = 46
  integer, parameter :: nGC_3163 = 47
  integer, parameter :: nGC_I = 48
  integer, parameter :: nGC_3168 = 49
  integer, parameter :: nGC_3169 = 50
  integer, parameter :: nGC_3170 = 51
  integer, parameter :: nGC_3485 = 52
  integer, parameter :: nGC_3482 = 53
  integer, parameter :: nGC_5 = 54
  integer, parameter :: nGC_4 = 55
  integer, parameter :: nGC_9 = 56
  integer, parameter :: nGC_8 = 57
  integer, parameter :: nGC_348 = 58
  integer, parameter :: nGC_3070 = 59
  integer, parameter :: nGC_3451 = 60
  integer, parameter :: nGC_602 = 61
  integer, parameter :: nGC_53 = 62
  integer, parameter :: nGC_52 = 63
  integer, parameter :: nGC_51 = 64
  integer, parameter :: nGC_50 = 65
  integer, parameter :: nGC_57 = 66
  integer, parameter :: nGC_56 = 67
  integer, parameter :: nGC_55 = 68
  integer, parameter :: nGC_54 = 69
  integer, parameter :: nGC_59 = 70
  integer, parameter :: nGC_58 = 71
  integer, parameter :: nGC_3455 = 72
  integer, parameter :: nGC_47 = 73
  integer, parameter :: nGC_3136 = 74
  integer, parameter :: nGC_MC = 75
  integer, parameter :: nGC_3135 = 76
  integer, parameter :: nGC_MB = 77
  integer, parameter :: nGC_3134 = 78
  integer, parameter :: nGC_3542 = 79
  integer, parameter :: nGC_ME = 80
  integer, parameter :: nGC_5081 = 81
  integer, parameter :: nGC_MZ = 82
  integer, parameter :: nGC_MW = 83
  integer, parameter :: nGC_MU = 84
  integer, parameter :: nGC_3569 = 85
  integer, parameter :: nGC_44 = 86
  integer, parameter :: nGC_6131 = 87
  integer, parameter :: nGC_6132 = 88
  integer, parameter :: nGC_3054 = 89
  integer, parameter :: nGC_3055 = 90
  integer, parameter :: nGC_3056 = 91
  integer, parameter :: nGC_3057 = 92
  integer, parameter :: nGC_3050 = 93
  integer, parameter :: nGC_3051 = 94
  integer, parameter :: nGC_3052 = 95
  integer, parameter :: nGC_3053 = 96
  integer, parameter :: nGC_3058 = 97
  integer, parameter :: nGC_3059 = 98
  integer, parameter :: nGC_172 = 99
  integer, parameter :: nGC_83 = 100
  integer, parameter :: nGC_46 = 101
  integer, parameter :: nGC_3180 = 102
  integer, parameter :: nGC_6343 = 103
  integer, parameter :: nGC_17 = 104
  integer, parameter :: nGC_16 = 105
  integer, parameter :: nGC_15 = 106
  integer, parameter :: nGC_14 = 107
  integer, parameter :: nGC_13 = 108
  integer, parameter :: nGC_12 = 109
  integer, parameter :: nGC_11 = 110
  integer, parameter :: nGC_10 = 111
  integer, parameter :: nGC_19 = 112
  integer, parameter :: nGC_18 = 113
  integer, parameter :: nGC_5481 = 114
  integer, parameter :: nGC_5480 = 115
  integer, parameter :: nGC_5483 = 116
  integer, parameter :: nGC_MW_GF = 117
  integer, parameter :: nGC_5242 = 118
  integer, parameter :: nGC_3212 = 119
  integer, parameter :: nGC_2 = 120
  integer, parameter :: nGC_1 = 121
  integer, parameter :: nGC_7 = 122
  integer, parameter :: nGC_6 = 123
  integer, parameter :: nGC_3481 = 124
  integer, parameter :: nGC_4943 = 125
  integer, parameter :: nGC_3573 = 126
  integer, parameter :: nGC_3572 = 127
  integer, parameter :: nGC_3576 = 128
  integer, parameter :: nGC_3575 = 129
  integer, parameter :: nGC_3574 = 130
  integer, parameter :: nGC_3476 = 131
  integer, parameter :: nGC_5335 = 132
  integer, parameter :: nGC_3272 = 133
  integer, parameter :: nGC_3278 = 134
  integer, parameter :: nGC_3048 = 135
  integer, parameter :: nGC_63 = 136
  integer, parameter :: nGC_3151 = 137
  integer, parameter :: nGC_5773 = 138
  integer, parameter :: nGC_3153 = 139
  integer, parameter :: nGC_3152 = 140
  integer, parameter :: nGC_3155 = 141
  integer, parameter :: nGC_3154 = 142
  integer, parameter :: nGC_3156 = 143
  integer, parameter :: nGC_3405 = 144
  integer, parameter :: nGC_3404 = 145
  integer, parameter :: nGC_3401 = 146
  integer, parameter :: nGC_3400 = 147
  integer, parameter :: nGC_HHHH = 148
  integer, parameter :: nGC_3175 = 149
  integer, parameter :: nGC_3083 = 150
  integer, parameter :: nGC_3082 = 151
  integer, parameter :: nGC_3081 = 152
  integer, parameter :: nGC_3080 = 153
  integer, parameter :: nGC_3087 = 154
  integer, parameter :: nGC_3085 = 155
  integer, parameter :: nGC_3084 = 156
  integer, parameter :: nGC_3089 = 157
  integer, parameter :: nGC_3171 = 158
  integer, parameter :: nGC_3494 = 159
  integer, parameter :: nGC_3495 = 160
  integer, parameter :: nGC_3496 = 161
  integer, parameter :: nGC_3497 = 162
  integer, parameter :: nGC_3491 = 163
  integer, parameter :: nGC_3492 = 164
  integer, parameter :: nGC_5360 = 165
  integer, parameter :: nGC_3071 = 166
  integer, parameter :: nGC_5482 = 167
  integer, parameter :: nGC_48 = 168
  integer, parameter :: nGC_49 = 169
  integer, parameter :: nGC_45 = 170
  integer, parameter :: nGC_40 = 171
  integer, parameter :: nGC_41 = 172
  integer, parameter :: nGC_42 = 173
  integer, parameter :: nGC_43 = 174
  integer, parameter :: nGC_3219 = 175
  integer, parameter :: nGC_4980 = 176
  integer, parameter :: nGC_4867 = 177
  integer, parameter :: nGC_3440 = 178
  integer, parameter :: nGC_3447 = 179
  integer, parameter :: nGC_3416 = 180
  integer, parameter :: nGC_3417 = 181
  integer, parameter :: nGC_3441 = 182
  integer, parameter :: nGC_3410 = 183
  integer, parameter :: nGC_3411 = 184
  integer, parameter :: nGC_3115 = 185
  integer, parameter :: nGC_3114 = 186
  integer, parameter :: nGC_3117 = 187
  integer, parameter :: nGC_3116 = 188
  integer, parameter :: nGC_3111 = 189
  integer, parameter :: nGC_3110 = 190
  integer, parameter :: nGC_3113 = 191
  integer, parameter :: nGC_3112 = 192
  integer, parameter :: nGC_3119 = 193
  integer, parameter :: nGC_3118 = 194
  integer, parameter :: nGC_3528 = 195
  integer, parameter :: nGC_3299 = 196
  integer, parameter :: nGC_3524 = 197
  integer, parameter :: nGC_3526 = 198
  integer, parameter :: nGC_3522 = 199
  integer, parameter :: nGC_3523 = 200
  integer, parameter :: nGC_3159 = 201
  integer, parameter :: nGC_GPGMGPGM = 202
  integer, parameter :: nGC_3571 = 203
  integer, parameter :: nGC_3061 = 204
  integer, parameter :: nGC_5322 = 205
  integer, parameter :: nGC_3570 = 206
  integer, parameter :: nGC_3065 = 207
  integer, parameter :: nGC_3064 = 208
  integer, parameter :: nGC_3067 = 209
  integer, parameter :: nGC_3069 = 210
  integer, parameter :: nGC_3068 = 211
  integer, parameter :: nGC_3157 = 212
  integer, parameter :: nGC_3527 = 213
  integer, parameter :: nGC_316 = 214
  integer, parameter :: nGC_MTA = 215
  integer, parameter :: nGC_3470 = 216
  integer, parameter :: nGC_3471 = 217
  integer, parameter :: nGC_152 = 218
  integer, parameter :: nGC_5556 = 219
  integer, parameter :: nGC_5555 = 220
  integer, parameter :: nGC_5496 = 221
  integer, parameter :: nGC_5541 = 222
  integer, parameter :: nGC_5841 = 223
  integer, parameter :: nGC_5197 = 224
  integer, parameter :: nGC_75 = 225
  integer, parameter :: nGC_74 = 226
  integer, parameter :: nGC_77 = 227
  integer, parameter :: nGC_76 = 228
  integer, parameter :: nGC_6079 = 229
  integer, parameter :: nGC_6078 = 230
  integer, parameter :: nGC_73 = 231
  integer, parameter :: nGC_72 = 232
  integer, parameter :: nGC_6077 = 233
  integer, parameter :: nGC_6076 = 234
  integer, parameter :: nGC_79 = 235
  integer, parameter :: nGC_78 = 236
  integer, parameter :: nGC_HHGG = 237
  integer, parameter :: nGC_4958 = 238
  integer, parameter :: nGC_3049 = 239
  integer, parameter :: nGC_4819 = 240
  integer, parameter :: nGC_3132 = 241
  integer, parameter :: nGC_3560 = 242
  integer, parameter :: nGC_3562 = 243
  integer, parameter :: nGC_3563 = 244
  integer, parameter :: nGC_3564 = 245
  integer, parameter :: nGC_3565 = 246
  integer, parameter :: nGC_3566 = 247
  integer, parameter :: nGC_3567 = 248
  integer, parameter :: nGC_3568 = 249
  integer, parameter :: nGC_3544 = 250
  integer, parameter :: nGC_3392 = 251
  integer, parameter :: nGC_3233 = 252
  integer, parameter :: nGC_3395 = 253
  integer, parameter :: nGC_3185 = 254
  integer, parameter :: nGC_3245 = 255
  integer, parameter :: nGC_818 = 256
  integer, parameter :: nGC_MS = 257
  integer, parameter :: nGC_3418 = 258
  integer, parameter :: nGC_3148 = 259
  integer, parameter :: nGC_3149 = 260
  integer, parameter :: nGC_3146 = 261
  integer, parameter :: nGC_3147 = 262
  integer, parameter :: nGC_3144 = 263
  integer, parameter :: nGC_3145 = 264
  integer, parameter :: nGC_3142 = 265
  integer, parameter :: nGC_3143 = 266
  integer, parameter :: nGC_3140 = 267
  integer, parameter :: nGC_3141 = 268
  integer, parameter :: nGC_3090 = 269
  integer, parameter :: nGC_3091 = 270
  integer, parameter :: nGC_3092 = 271
  integer, parameter :: nGC_3093 = 272
  integer, parameter :: nGC_3094 = 273
  integer, parameter :: nGC_3095 = 274
  integer, parameter :: nGC_3096 = 275
  integer, parameter :: nGC_3097 = 276
  integer, parameter :: nGC_3098 = 277
  integer, parameter :: nGC_3099 = 278
  integer, parameter :: nGC_3100 = 279
  integer, parameter :: nGC_3493 = 280
  integer, parameter :: nGC_3222 = 281
  integer, parameter :: nGC_3332 = 282
  integer, parameter :: nGC_5212 = 283
  integer, parameter :: nGC_5213 = 284
  integer, parameter :: nGC_5216 = 285
  integer, parameter :: nGC_5217 = 286
  integer, parameter :: nGC_3101 = 287
  integer, parameter :: nGC_82 = 288
  integer, parameter :: nGC_5320 = 289
  integer, parameter :: nGC_5772 = 290
  integer, parameter :: nGC_6852 = 291
  integer, parameter :: nGC_3060 = 292
  integer, parameter :: nGC_5353 = 293
  integer, parameter :: nGC_3063 = 294
  integer, parameter :: nGC_5857 = 295
  integer, parameter :: nGC_3062 = 296
  integer, parameter :: nGC_86 = 297
  integer, parameter :: nGC_87 = 298
  integer, parameter :: nGC_3220 = 299
  integer, parameter :: nGC_3066 = 300
  integer, parameter :: nGC_39 = 301
  integer, parameter :: nGC_38 = 302
  integer, parameter :: nGC_31 = 303
  integer, parameter :: nGC_30 = 304
  integer, parameter :: nGC_33 = 305
  integer, parameter :: nGC_32 = 306
  integer, parameter :: nGC_35 = 307
  integer, parameter :: nGC_34 = 308
  integer, parameter :: nGC_37 = 309
  integer, parameter :: nGC_36 = 310
  integer, parameter :: nGC_4854 = 311
  integer, parameter :: nGC_4850 = 312
  integer, parameter :: nGC_4853 = 313
  integer, parameter :: nGC_148 = 314
  integer, parameter :: nGC_5595 = 315
  integer, parameter :: nGC_3104 = 316
  integer, parameter :: nGC_67 = 317
  integer, parameter :: nGC_3358 = 318
  integer, parameter :: nGC_3356 = 319
  integer, parameter :: nGC_3351 = 320
  integer, parameter :: nGC_1064 = 321
  integer, parameter :: nGC_MT = 322
  integer, parameter :: nGC_3150 = 323
  integer, parameter :: nGC_3329 = 324
  integer, parameter :: nGC_3102 = 325
  integer, parameter :: nGC_3103 = 326
  integer, parameter :: nGC_MI = 327
  integer, parameter :: nGC_MH = 328
  integer, parameter :: nGC_3106 = 329
  integer, parameter :: nGC_3107 = 330
  integer, parameter :: nGC_MM = 331
  integer, parameter :: nGC_3105 = 332
  integer, parameter :: nGC_3458 = 333
  integer, parameter :: nGC_3459 = 334
  integer, parameter :: nGC_3108 = 335
  integer, parameter :: nGC_3109 = 336
  integer, parameter :: nGC_3452 = 337
  integer, parameter :: nGC_MD = 338
  integer, parameter :: nGC_3518 = 339
  integer, parameter :: nGC_196 = 340
  integer, parameter :: nGC_3158 = 341
  integer, parameter :: nGC_3511 = 342
  integer, parameter :: nGC_3510 = 343
  integer, parameter :: nGC_3513 = 344
  integer, parameter :: nGC_3512 = 345
  integer, parameter :: nGC_3517 = 346
  integer, parameter :: nGC_5170 = 347
  integer, parameter :: nGC_9750 = 348
  integer, parameter :: nGC_5074 = 349
  integer, parameter :: nGC_5076 = 350
  integer, parameter :: nGC_3216 = 351
  integer, parameter :: nGC_3217 = 352
  integer, parameter :: nGC_3214 = 353
  integer, parameter :: nGC_3215 = 354
  integer, parameter :: nGC_3199 = 355
  integer, parameter :: nGC_3198 = 356
  integer, parameter :: nGC_3210 = 357
  integer, parameter :: nGC_3211 = 358
  integer, parameter :: nGC_3412 = 359
  integer, parameter :: nGC_3191 = 360
  integer, parameter :: nGC_3190 = 361
  integer, parameter :: nGC_3177 = 362
  integer, parameter :: nGC_3176 = 363
  integer, parameter :: nGC_7297 = 364
  integer, parameter :: nGC_3174 = 365
  integer, parameter :: nGC_3173 = 366
  integer, parameter :: nGC_3172 = 367
  integer, parameter :: nGC_3078 = 368
  integer, parameter :: nGC_3079 = 369
  integer, parameter :: nGC_3076 = 370
  integer, parameter :: nGC_3077 = 371
  integer, parameter :: nGC_3074 = 372
  integer, parameter :: nGC_3075 = 373
  integer, parameter :: nGC_3072 = 374
  integer, parameter :: nGC_3073 = 375
  integer, parameter :: nGC_3179 = 376
  integer, parameter :: nGC_3178 = 377
  integer, parameter :: nGC_3128 = 378
  integer, parameter :: nGC_3543 = 379
  integer, parameter :: nGC_3129 = 380
  integer, parameter :: nGC_5316 = 381
  integer, parameter :: nGC_4931 = 382
  integer, parameter :: nGC_3540 = 383
  integer, parameter :: nGC_3287 = 384
  integer, parameter :: nGC_5828 = 385
  integer, parameter :: nGC_3413 = 386
  integer, parameter :: nGC_3538 = 387
  integer, parameter :: nGC_5540 = 388
  integer, parameter :: nGC_3120 = 389
  integer, parameter :: nGC_5543 = 390
  integer, parameter :: nGC_5544 = 391
  integer, parameter :: nGC_3121 = 392
  integer, parameter :: nGC_3502 = 393
  integer, parameter :: nGC_3122 = 394
  integer, parameter :: nGC_3503 = 395
  integer, parameter :: nGC_4899 = 396
  integer, parameter :: nGC_3541 = 397
  integer, parameter :: nGC_3123 = 398
  integer, parameter :: nGC_3124 = 399
  integer, parameter :: nGC_4897 = 400
  integer, parameter :: nGC_3125 = 401
  integer, parameter :: nGC_88 = 402
  integer, parameter :: nGC_3126 = 403
  integer, parameter :: nGC_80 = 404
  integer, parameter :: nGC_81 = 405
  integer, parameter :: nGC_3127 = 406
  integer, parameter :: nGC_84 = 407
  integer, parameter :: nGC_3499 = 408
  integer, parameter :: nGC_5854 = 409
  integer, parameter :: nGC_3086 = 410
  integer, parameter :: nGC_144 = 411
  integer, parameter :: nGC_66 = 412
  integer, parameter :: nGC_64 = 413
  integer, parameter :: nGC_65 = 414
  integer, parameter :: nGC_62 = 415
  integer, parameter :: nGC_3508 = 416
  integer, parameter :: nGC_60 = 417
  integer, parameter :: nGC_61 = 418
  integer, parameter :: nGC_3509 = 419
  integer, parameter :: nGC_68 = 420
  integer, parameter :: nGC_69 = 421
  integer, parameter :: nGC_3088 = 422
  integer, parameter :: nGC_4961 = 423
  integer, parameter :: nGC_4962 = 424
  integer, parameter :: nGC_3133 = 425
  integer, parameter :: nGC_7019 = 426
  integer, parameter :: nGC_HHH = 427
  integer, parameter :: nGC_7016 = 428
  integer, parameter :: nGC_7017 = 429
  integer, parameter :: nGC_9748 = 430
  integer, parameter :: nGC_4805 = 431
  integer, parameter :: nGC_112 = 432
  integer, parameter :: nGC_3558 = 433
  integer, parameter :: nGC_3229 = 434
  integer, parameter :: nGC_3228 = 435
  integer, parameter :: nGC_3555 = 436
  integer, parameter :: nGC_3554 = 437
  integer, parameter :: nGC_3557 = 438
  integer, parameter :: nGC_3224 = 439
  integer, parameter :: nGC_3551 = 440
  integer, parameter :: nGC_3550 = 441
  integer, parameter :: nGC_3221 = 442
  integer, parameter :: nGC_3552 = 443
  integer, parameter :: nGC_2318 = 444
  integer, parameter :: nGC_3389 = 445
  integer, parameter :: nGC_6986 = 446
  integer, parameter :: nGC_3380 = 447
  integer, parameter :: nGC_3381 = 448
  integer, parameter :: nGC_3382 = 449
  integer, parameter :: nGC_3383 = 450
  integer, parameter :: nGC_3384 = 451
  integer, parameter :: nGC_3386 = 452
  integer, parameter :: nGC_3387 = 453
  integer, parameter :: nGC_5687 = 454
  integer, parameter :: nGC_5048 = 455
  integer, parameter :: nGC_3313 = 456
  integer, parameter :: nGC_3227 = 457
  integer, parameter :: nGC_3259 = 458
  integer, parameter :: nGC_3252 = 459
  integer, parameter :: nGC_3253 = 460
  integer, parameter :: nGC_3250 = 461
  integer, parameter :: nGC_3251 = 462
  integer, parameter :: nGC_3256 = 463
  integer, parameter :: nGC_3225 = 464
  integer, parameter :: nGC_3254 = 465
  integer, parameter :: nGC_3255 = 466
  integer, parameter :: nGC_3556 = 467
  integer, parameter :: nGC_3223 = 468
  integer, parameter :: nGC_7860 = 469
  integer, parameter :: nGC_7863 = 470
  integer, parameter :: nGC_7862 = 471
  integer, parameter :: nGC_3553 = 472
  integer, parameter :: nGC_3421 = 473
  integer, parameter :: nGC_3420 = 474
  integer, parameter :: nGC_6985 = 475
  integer, parameter :: nGC_5008 = 476
  integer, parameter :: nGC_200 = 477
  integer, parameter :: nGC_5221 = 478
  integer, parameter :: nGC_5220 = 479
  integer, parameter :: nGC_372 = 480
  integer, parameter :: nGC_3385 = 481
  integer, parameter :: nGC_3189 = 482
  integer, parameter :: nGC_276 = 483
  integer, parameter :: nGC_6928 = 484
  integer, parameter :: nGC_4849 = 485
  integer, parameter :: nGC_5537 = 486
  integer, parameter :: nGC_5536 = 487
  integer, parameter :: nGC_3348 = 488
  integer, parameter :: nGC_3349 = 489
  integer, parameter :: nGC_3341 = 490
  integer, parameter :: nGC_6198 = 491
  integer, parameter :: nGC_6199 = 492
  integer, parameter :: nGC_6192 = 493
  integer, parameter :: nGC_6193 = 494
  integer, parameter :: nGC_6059 = 495
  integer, parameter :: nGC_6187 = 496
  integer, parameter :: nGC_6194 = 497
  integer, parameter :: nGC_6195 = 498
  integer, parameter :: nGC_5405 = 499
  integer, parameter :: nGC_5404 = 500
  integer, parameter :: nGC_3258 = 501
  integer, parameter :: nGC_4837 = 502
  integer, parameter :: nGC_4832 = 503
  integer, parameter :: nGC_4938 = 504
  integer, parameter :: nGC_4939 = 505
  integer, parameter :: nGC_4936 = 506
  integer, parameter :: nGC_4937 = 507
  integer, parameter :: nGC_4935 = 508
  integer, parameter :: nGC_4838 = 509
  integer, parameter :: nGC_3506 = 510
  integer, parameter :: nGC_3507 = 511
  integer, parameter :: nGC_3505 = 512
  integer, parameter :: nGC_3469 = 513
  integer, parameter :: nGC_3468 = 514
  integer, parameter :: nGC_3465 = 515
  integer, parameter :: nGC_3464 = 516
  integer, parameter :: nGC_3467 = 517
  integer, parameter :: nGC_3466 = 518
  integer, parameter :: nGC_3461 = 519
  integer, parameter :: nGC_3460 = 520
  integer, parameter :: nGC_3463 = 521
  integer, parameter :: nGC_3462 = 522
  integer, parameter :: nGC_5042 = 523
  integer, parameter :: nGC_5049 = 524
  integer, parameter :: nGC_3319 = 525
  integer, parameter :: nGC_5169 = 526
  integer, parameter :: nGC_5160 = 527
  integer, parameter :: nGC_3257 = 528
  integer, parameter :: nGC_3263 = 529
  integer, parameter :: nGC_3261 = 530
  integer, parameter :: nGC_3260 = 531
  integer, parameter :: nGC_3264 = 532
  integer, parameter :: nGC_3269 = 533
  integer, parameter :: nGC_3268 = 534
  integer, parameter :: nGC_3311 = 535
  integer, parameter :: nGC_4886 = 536
  integer, parameter :: nGC_4887 = 537
  integer, parameter :: nGC_4885 = 538
  integer, parameter :: nGC_5579 = 539
  integer, parameter :: nGC_7728 = 540
  integer, parameter :: nGC_7729 = 541
  integer, parameter :: nGC_4888 = 542
  integer, parameter :: nGC_3487 = 543
  integer, parameter :: nGC_3486 = 544
  integer, parameter :: nGC_3484 = 545
  integer, parameter :: nGC_3483 = 546
  integer, parameter :: nGC_3480 = 547
  integer, parameter :: nGC_584 = 548
  integer, parameter :: nGC_3489 = 549
  integer, parameter :: nGC_3488 = 550
  integer, parameter :: nGC_5905 = 551
  integer, parameter :: nGC_5907 = 552
  integer, parameter :: nGC_4972 = 553
  integer, parameter :: nGC_4973 = 554
  integer, parameter :: nGC_4977 = 555
  integer, parameter :: nGC_4974 = 556
  integer, parameter :: nGC_4978 = 557
  integer, parameter :: nGC_4979 = 558
  integer, parameter :: nGC_7020 = 559
  integer, parameter :: nGC_510 = 560
  integer, parameter :: nGC_4873 = 561
  integer, parameter :: nGC_4874 = 562
  integer, parameter :: nGC_2324 = 563
  integer, parameter :: nGC_3548 = 564
  integer, parameter :: nGC_3549 = 565
  integer, parameter :: nGC_3238 = 566
  integer, parameter :: nGC_3239 = 567
  integer, parameter :: nGC_2322 = 568
  integer, parameter :: nGC_3234 = 569
  integer, parameter :: nGC_3235 = 570
  integer, parameter :: nGC_3236 = 571
  integer, parameter :: nGC_3237 = 572
  integer, parameter :: nGC_3546 = 573
  integer, parameter :: nGC_3231 = 574
  integer, parameter :: nGC_3232 = 575
  integer, parameter :: nGC_3545 = 576
  integer, parameter :: nGC_7433 = 577
  integer, parameter :: nGC_7436 = 578
  integer, parameter :: nGC_7437 = 579
  integer, parameter :: nGC_3291 = 580
  integer, parameter :: nGC_5696 = 581
  integer, parameter :: nGC_6003 = 582
  integer, parameter :: nGC_4906 = 583
  integer, parameter :: nGC_4905 = 584
  integer, parameter :: nGC_4904 = 585
  integer, parameter :: nGC_4903 = 586
  integer, parameter :: nGC_3305 = 587
  integer, parameter :: nGC_4901 = 588
  integer, parameter :: nGC_4908 = 589
  integer, parameter :: nGC_3436 = 590
  integer, parameter :: nGC_3437 = 591
  integer, parameter :: nGC_3434 = 592
  integer, parameter :: nGC_3435 = 593
  integer, parameter :: nGC_3432 = 594
  integer, parameter :: nGC_7976 = 595
  integer, parameter :: nGC_3430 = 596
  integer, parameter :: nGC_3431 = 597
  integer, parameter :: nGC_3438 = 598
  integer, parameter :: nGC_3439 = 599
  integer, parameter :: nGC_3281 = 600
  integer, parameter :: nGC_3280 = 601
  integer, parameter :: nGC_3285 = 602
  integer, parameter :: nGC_3284 = 603
  integer, parameter :: nGC_3539 = 604
  integer, parameter :: nGC_3286 = 605
  integer, parameter :: nGC_3537 = 606
  integer, parameter :: nGC_3536 = 607
  integer, parameter :: nGC_3535 = 608
  integer, parameter :: nGC_3534 = 609
  integer, parameter :: nGC_3533 = 610
  integer, parameter :: nGC_3532 = 611
  integer, parameter :: nGC_3531 = 612
  integer, parameter :: nGC_3530 = 613
  integer, parameter :: nGC_5298 = 614
  integer, parameter :: nGC_5154 = 615
  integer, parameter :: nGC_5152 = 616
  integer, parameter :: nGC_5150 = 617
  integer, parameter :: nGC_6133 = 618
  integer, parameter :: nGC_6134 = 619
  integer, parameter :: nGC_6135 = 620
  integer, parameter :: nGC_5336 = 621
  integer, parameter :: nGC_6477 = 622
  integer, parameter :: nGC_6476 = 623
  integer, parameter :: nGC_6479 = 624
  integer, parameter :: nGC_6478 = 625
  integer, parameter :: nGC_6344 = 626
  integer, parameter :: nGC_3209 = 627
  integer, parameter :: nGC_5529 = 628
  integer, parameter :: nGC_5241 = 629
  integer, parameter :: nGC_3379 = 630
  integer, parameter :: nGC_3378 = 631
  integer, parameter :: nGC_3371 = 632
  integer, parameter :: nGC_3370 = 633
  integer, parameter :: nGC_3373 = 634
  integer, parameter :: nGC_3372 = 635
  integer, parameter :: nGC_3375 = 636
  integer, parameter :: nGC_3374 = 637
  integer, parameter :: nGC_3377 = 638
  integer, parameter :: nGC_3376 = 639
  integer, parameter :: nGC_3206 = 640
  integer, parameter :: nGC_5416 = 641
  integer, parameter :: nGC_5414 = 642
  integer, parameter :: nGC_3321 = 643
  integer, parameter :: nGC_5418 = 644
  integer, parameter :: nGC_4825 = 645
  integer, parameter :: nGC_4820 = 646
  integer, parameter :: nGC_4821 = 647
  integer, parameter :: nGC_4822 = 648
  integer, parameter :: nGC_4940 = 649
  integer, parameter :: nGC_4945 = 650
  integer, parameter :: nGC_4944 = 651
  integer, parameter :: nGC_3478 = 652
  integer, parameter :: nGC_3479 = 653
  integer, parameter :: nGC_3577 = 654
  integer, parameter :: nGC_3472 = 655
  integer, parameter :: nGC_3473 = 656
  integer, parameter :: nGC_3579 = 657
  integer, parameter :: nGC_3578 = 658
  integer, parameter :: nGC_3477 = 659
  integer, parameter :: nGC_3474 = 660
  integer, parameter :: nGC_3475 = 661
  integer, parameter :: nGC_5664 = 662
  integer, parameter :: nGC_5669 = 663
  integer, parameter :: nGC_3364 = 664
  integer, parameter :: nGC_3270 = 665
  integer, parameter :: nGC_5466 = 666
  integer, parameter :: nGC_3273 = 667
  integer, parameter :: nGC_3274 = 668
  integer, parameter :: nGC_3275 = 669
  integer, parameter :: nGC_3276 = 670
  integer, parameter :: nGC_3277 = 671
  integer, parameter :: nGC_3362 = 672
  integer, parameter :: nGC_3193 = 673
  integer, parameter :: nGC_5906 = 674
  integer, parameter :: nGC_3361 = 675
  integer, parameter :: nGC_3409 = 676
  integer, parameter :: nGC_3408 = 677
  integer, parameter :: nGC_3407 = 678
  integer, parameter :: nGC_3406 = 679
  integer, parameter :: nGC_3403 = 680
  integer, parameter :: nGC_3402 = 681
  integer, parameter :: nGC_5027 = 682
  integer, parameter :: nGC_3246 = 683
  integer, parameter :: nGC_3241 = 684
  integer, parameter :: nGC_5029 = 685
  integer, parameter :: nGC_5028 = 686
  integer, parameter :: nGC_3243 = 687
  integer, parameter :: nGC_3242 = 688
  integer, parameter :: nGC_5801 = 689
  integer, parameter :: nGC_5803 = 690
  integer, parameter :: nGC_5802 = 691
  integer, parameter :: nGC_5804 = 692
  integer, parameter :: nGC_5204 = 693
  integer, parameter :: nGC_5208 = 694
  integer, parameter :: nGC_3490 = 695
  integer, parameter :: nGC_5585 = 696
  integer, parameter :: nGC_9557 = 697
  integer, parameter :: nGC_5586 = 698
  integer, parameter :: nGC_5938 = 699
  integer, parameter :: nGC_5935 = 700
  integer, parameter :: nGC_3218 = 701
  integer, parameter :: nGC_3335 = 702
  integer, parameter :: nGC_6640 = 703
  integer, parameter :: nGC_5894 = 704
  integer, parameter :: nGC_5895 = 705
  integer, parameter :: nGC_3336 = 706
  integer, parameter :: nGC_3363 = 707
  integer, parameter :: nGC_4982 = 708
  integer, parameter :: nGC_4981 = 709
  integer, parameter :: nGC_5293 = 710
  integer, parameter :: nGC_5294 = 711
  integer, parameter :: nGC_5096 = 712
  integer, parameter :: nGC_3208 = 713
  integer, parameter :: nGC_5778 = 714
  integer, parameter :: nGC_3201 = 715
  integer, parameter :: nGC_3200 = 716
  integer, parameter :: nGC_3203 = 717
  integer, parameter :: nGC_3202 = 718
  integer, parameter :: nGC_3205 = 719
  integer, parameter :: nGC_3204 = 720
  integer, parameter :: nGC_3207 = 721
  integer, parameter :: nGC_5099 = 722
  integer, parameter :: nGC_4915 = 723
  integer, parameter :: nGC_4916 = 724
  integer, parameter :: nGC_4917 = 725
  integer, parameter :: nGC_5580 = 726
  integer, parameter :: nGC_5581 = 727
  integer, parameter :: nGC_5582 = 728
  integer, parameter :: nGC_5422 = 729
  integer, parameter :: nGC_5421 = 730
  integer, parameter :: nGC_5420 = 731
  integer, parameter :: nGC_4918 = 732
  integer, parameter :: nGC_4919 = 733
  integer, parameter :: nGC_5424 = 734
  integer, parameter :: nGC_3443 = 735
  integer, parameter :: nGC_3442 = 736
  integer, parameter :: nGC_3446 = 737
  integer, parameter :: nGC_3445 = 738
  integer, parameter :: nGC_3444 = 739
  integer, parameter :: nGC_3449 = 740
  integer, parameter :: nGC_3448 = 741
  integer, parameter :: nGC_7299 = 742
  integer, parameter :: nGC_3529 = 743
  integer, parameter :: nGC_7293 = 744
  integer, parameter :: nGC_3520 = 745
  integer, parameter :: nGC_3293 = 746
  integer, parameter :: nGC_3290 = 747
  integer, parameter :: nGC_5144 = 748
  integer, parameter :: nGC_5145 = 749
  integer, parameter :: nGC_5062 = 750
  integer, parameter :: nGC_5148 = 751
  integer, parameter :: nGC_5065 = 752
  integer, parameter :: nGC_5064 = 753
  integer, parameter :: nGC_6468 = 754
  integer, parameter :: nGC_6469 = 755
  integer, parameter :: nGC_3292 = 756
  integer, parameter :: nGC_3521 = 757
  integer, parameter :: nGC_7295 = 758
  integer, parameter :: nGC_5499 = 759
  integer, parameter :: nGC_5559 = 760
  integer, parameter :: nGC_5558 = 761
  integer, parameter :: nGC_5494 = 762
  integer, parameter :: nGC_5495 = 763
  integer, parameter :: nGC_5395 = 764
  integer, parameter :: nGC_5394 = 765
  integer, parameter :: nGC_5397 = 766
  integer, parameter :: nGC_5396 = 767
  integer, parameter :: nGC_5254 = 768
  integer, parameter :: nGC_5256 = 769
  integer, parameter :: nGC_5398 = 770
  integer, parameter :: nGC_5844 = 771
  integer, parameter :: nGC_6923 = 772
  integer, parameter :: nGC_6922 = 773
  integer, parameter :: nGC_6921 = 774
  integer, parameter :: nGC_5190 = 775
  integer, parameter :: nGC_6927 = 776
  integer, parameter :: nGC_6924 = 777
  integer, parameter :: nGC_5199 = 778
  integer, parameter :: nGC_5198 = 779
  integer, parameter :: nGC_9644 = 780
  integer, parameter :: nGC_4959 = 781
  integer, parameter :: nGC_4957 = 782
  integer, parameter :: nGC_3230 = 783
  integer, parameter :: nGC_3547 = 784
  integer, parameter :: nGC_3399 = 785
  integer, parameter :: nGC_3398 = 786
  integer, parameter :: nGC_3226 = 787
  integer, parameter :: nGC_5474 = 788
  integer, parameter :: nGC_3393 = 789
  integer, parameter :: nGC_3391 = 790
  integer, parameter :: nGC_3390 = 791
  integer, parameter :: nGC_3397 = 792
  integer, parameter :: nGC_3396 = 793
  integer, parameter :: nGC_3394 = 794
  integer, parameter :: nGC_3271 = 795
  integer, parameter :: nGC_5100 = 796
  integer, parameter :: nGC_3366 = 797
  integer, parameter :: nGC_3367 = 798
  integer, parameter :: nGC_5779 = 799
  integer, parameter :: nGC_3365 = 800
  integer, parameter :: nGC_3249 = 801
  integer, parameter :: nGC_3248 = 802
  integer, parameter :: nGC_3360 = 803
  integer, parameter :: nGC_5473 = 804
  integer, parameter :: nGC_3244 = 805
  integer, parameter :: nGC_3247 = 806
  integer, parameter :: nGC_5770 = 807
  integer, parameter :: nGC_5777 = 808
  integer, parameter :: nGC_5776 = 809
  integer, parameter :: nGC_3368 = 810
  integer, parameter :: nGC_3369 = 811
  integer, parameter :: nGC_7859 = 812
  integer, parameter :: nGC_3419 = 813
  integer, parameter :: nGC_3414 = 814
  integer, parameter :: nGC_3415 = 815
  integer, parameter :: nGC_7539 = 816
  integer, parameter :: nGC_5467 = 817
  integer, parameter :: nGC_7538 = 818
  integer, parameter :: nGC_5030 = 819
  integer, parameter :: nGC_5033 = 820
  integer, parameter :: nGC_6394 = 821
  integer, parameter :: nGC_6395 = 822
  integer, parameter :: nGC_5038 = 823
  integer, parameter :: nGC_5477 = 824
  integer, parameter :: nGC_9467 = 825
  integer, parameter :: nGC_3279 = 826
  integer, parameter :: nGC_5359 = 827
  integer, parameter :: nGC_5358 = 828
  integer, parameter :: nGC_5771 = 829
  integer, parameter :: nGC_5472 = 830
  integer, parameter :: nGC_4855 = 831
  integer, parameter :: nGC_4857 = 832
  integer, parameter :: nGC_4856 = 833
  integer, parameter :: nGC_3301 = 834
  integer, parameter :: nGC_4997 = 835
  integer, parameter :: nGC_4993 = 836
  integer, parameter :: nGC_3303 = 837
  integer, parameter :: nGC_3359 = 838
  integer, parameter :: nGC_3357 = 839
  integer, parameter :: nGC_3355 = 840
  integer, parameter :: nGC_3354 = 841
  integer, parameter :: nGC_3353 = 842
  integer, parameter :: nGC_3352 = 843
  integer, parameter :: nGC_3350 = 844
  integer, parameter :: nGC_6024 = 845
  integer, parameter :: nGC_6025 = 846
  integer, parameter :: nGC_6023 = 847
  integer, parameter :: nGC_1656 = 848
  integer, parameter :: nGC_4923 = 849
  integer, parameter :: nGC_6467 = 850
  integer, parameter :: nGC_3322 = 851
  integer, parameter :: nGC_3323 = 852
  integer, parameter :: nGC_3320 = 853
  integer, parameter :: nGC_5598 = 854
  integer, parameter :: nGC_3326 = 855
  integer, parameter :: nGC_3327 = 856
  integer, parameter :: nGC_5436 = 857
  integer, parameter :: nGC_5437 = 858
  integer, parameter :: nGC_3450 = 859
  integer, parameter :: nGC_3453 = 860
  integer, parameter :: nGC_3454 = 861
  integer, parameter :: nGC_3456 = 862
  integer, parameter :: nGC_3457 = 863
  integer, parameter :: nGC_3519 = 864
  integer, parameter :: nGC_7977 = 865
  integer, parameter :: nGC_3515 = 866
  integer, parameter :: nGC_3514 = 867
  integer, parameter :: nGC_3516 = 868
  integer, parameter :: nGC_5171 = 869
  integer, parameter :: nGC_5172 = 870
  integer, parameter :: nGC_3388 = 871
  integer, parameter :: nGC_5077 = 872
  integer, parameter :: nGC_5648 = 873
  integer, parameter :: nGC_3213 = 874
  integer, parameter :: nGC_9110 = 875
  integer, parameter :: nGC_3195 = 876
  integer, parameter :: nGC_3194 = 877
  integer, parameter :: nGC_3197 = 878
  integer, parameter :: nGC_3196 = 879
  integer, parameter :: nGC_5647 = 880
  integer, parameter :: nGC_5646 = 881
  integer, parameter :: nGC_5645 = 882
  integer, parameter :: nGC_3192 = 883
  integer, parameter :: nGC_5315 = 884
  integer, parameter :: nGC_5317 = 885
  integer, parameter :: nGC_3433 = 886
  integer, parameter :: nGC_6200 = 887
  integer, parameter :: nGC_6201 = 888
  integer, parameter :: nGC_3289 = 889
  integer, parameter :: nGC_3288 = 890
  integer, parameter :: nGC_5263 = 891
  integer, parameter :: nGC_4892 = 892
  integer, parameter :: nGC_4895 = 893
  integer, parameter :: nGC_5858 = 894
  integer, parameter :: nGC_5850 = 895
  integer, parameter :: nGC_6930 = 896
  integer, parameter :: nGC_5187 = 897
  integer, parameter :: nGC_3240 = 898
  integer, parameter :: nGC_3525 = 899
  integer, parameter :: nGC_4969 = 900
  integer, parameter :: nGC_4806 = 901
  integer, parameter :: nGC_4807 = 902
  integer, parameter :: nGC_5137 = 903
  integer, parameter :: nGC_5569 = 904
  integer, parameter :: nGC_5138 = 905
  integer, parameter :: nGC_5200 = 906
  integer, parameter :: nGC_3422 = 907
  integer, parameter :: nGC_5688 = 908
  integer, parameter :: nGC_3312 = 909
  integer, parameter :: nGC_5443 = 910
  integer, parameter :: nGC_3310 = 911
  integer, parameter :: nGC_3317 = 912
  integer, parameter :: nGC_5444 = 913
  integer, parameter :: nGC_3315 = 914
  integer, parameter :: nGC_3314 = 915
  integer, parameter :: nGC_5282 = 916
  integer, parameter :: nGC_5281 = 917
  integer, parameter :: nGC_3318 = 918
  integer, parameter :: nGC_5284 = 919
  integer, parameter :: nGC_3429 = 920
  integer, parameter :: nGC_5088 = 921
  integer, parameter :: nGC_5121 = 922
  integer, parameter :: nGC_3423 = 923
  integer, parameter :: nGC_5125 = 924
  integer, parameter :: nGC_5896 = 925
  integer, parameter :: nGC_5082 = 926
  integer, parameter :: nGC_3425 = 927
  integer, parameter :: nGC_3424 = 928
  integer, parameter :: nGC_3427 = 929
  integer, parameter :: nGC_3426 = 930
  integer, parameter :: nGC_6008 = 931
  integer, parameter :: nGC_6004 = 932
  integer, parameter :: nGC_5588 = 933
  integer, parameter :: nGC_6007 = 934
  integer, parameter :: nGC_5690 = 935
  integer, parameter :: nGC_5201 = 936
  integer, parameter :: nGC_4907 = 937
  integer, parameter :: nGC_5009 = 938
  integer, parameter :: nGC_3302 = 939
  integer, parameter :: nGC_9662 = 940
  integer, parameter :: nGC_3304 = 941
  integer, parameter :: nGC_6082 = 942
  integer, parameter :: nGC_3307 = 943
  integer, parameter :: nGC_3308 = 944
  integer, parameter :: nGC_3309 = 945
  integer, parameter :: nGC_5454 = 946
  integer, parameter :: nGC_5453 = 947
  integer, parameter :: nGC_3283 = 948
  integer, parameter :: nGC_3282 = 949
  integer, parameter :: nGC_5342 = 950
  integer, parameter :: nGC_5343 = 951
  integer, parameter :: nGC_5223 = 952
  integer, parameter :: nGC_5222 = 953
  integer, parameter :: nGC_4868 = 954
  integer, parameter :: nGC_4869 = 955
  integer, parameter :: nGC_7441 = 956
  integer, parameter :: nGC_5815 = 957
  integer, parameter :: nGC_3339 = 958
  integer, parameter :: nGC_3338 = 959
  integer, parameter :: nGC_5423 = 960
  integer, parameter :: nGC_3334 = 961
  integer, parameter :: nGC_3337 = 962
  integer, parameter :: nGC_3331 = 963
  integer, parameter :: nGC_3330 = 964
  integer, parameter :: nGC_3333 = 965
  integer, parameter :: nGC_3306 = 966
  integer, parameter :: nGC_6083 = 967
  integer, parameter :: nGC_6026 = 968
  integer, parameter :: nGC_5337 = 969
  integer, parameter :: nGC_6188 = 970
  integer, parameter :: nGC_3298 = 971
  integer, parameter :: nGC_3296 = 972
  integer, parameter :: nGC_3297 = 973
  integer, parameter :: nGC_3294 = 974
  integer, parameter :: nGC_3295 = 975
  integer, parameter :: nGC_5539 = 976
  integer, parameter :: nGC_5538 = 977
  integer, parameter :: nGC_4841 = 978
  integer, parameter :: nGC_4847 = 979
  integer, parameter :: nGC_5063 = 980
  integer, parameter :: nGC_4848 = 981
  integer, parameter :: nGC_3328 = 982
  integer, parameter :: nGC_3300 = 983
  integer, parameter :: nGC_3324 = 984
  integer, parameter :: nGC_3325 = 985
  integer, parameter :: nGC_3344 = 986
  integer, parameter :: nGC_3345 = 987
  integer, parameter :: nGC_3346 = 988
  integer, parameter :: nGC_3347 = 989
  integer, parameter :: nGC_3340 = 990
  integer, parameter :: nGC_3342 = 991
  integer, parameter :: nGC_3343 = 992
  integer, parameter :: nGC_5522 = 993
  integer, parameter :: nGC_5523 = 994
  integer, parameter :: nGC_5487 = 995
  integer, parameter :: nGC_5486 = 996
  integer, parameter :: nGC_5870 = 997
  integer, parameter :: nGC_4834 = 998
  integer, parameter :: nGC_4833 = 999
  integer, parameter :: nGC_4932 = 1000
  integer, parameter :: nGC_4933 = 1001
  integer, parameter :: nGC_3316 = 1002
  integer, parameter :: nGC_6470 = 1003
  integer, parameter :: nGC_5557 = 1004
  integer, parameter :: nGC_5318 = 1005
  integer, parameter :: nGC_5043 = 1006
  integer, parameter :: nGC_5587 = 1007
  integer, parameter :: nGC_5255 = 1008
  integer, parameter :: nGC_7078 = 1009
  integer, parameter :: nGC_5253 = 1010
  integer, parameter :: nGC_3262 = 1011
  integer, parameter :: nGC_3267 = 1012
  integer, parameter :: nGC_3266 = 1013
  integer, parameter :: nGC_3265 = 1014
  integer, parameter :: nGC_10046 = 1015
  integer, parameter :: nGC_6572 = 1016
  integer, parameter :: nGC_6929 = 1017
  integer, parameter :: nGC_8455 = 1018
  integer, parameter :: nGC_6378 = 1019
  integer, parameter :: nGC_4808 = 1020
  integer, parameter :: nGC_5570 = 1021
  integer, parameter :: nGC_5122 = 1022
  integer, parameter :: nGC_3428 = 1023
  integer, parameter :: nGC_5103 = 1024
  integer, parameter :: nGC_9238 = 1025
  integer, parameter :: nGC_6301 = 1026
  integer, parameter :: nGC_5908 = 1027
  integer, parameter :: nGC_9246 = 1028
  integer, parameter :: nGC_5689 = 1029
  integer, parameter :: nGC_5044 = 1030
  integer, parameter :: nGC_4835 = 1031
  integer, parameter :: nGC_10172 = 1032
  integer, parameter :: nGC_9383 = 1033
  integer, parameter :: nGC_4836 = 1034
  integer, parameter :: nGC_5524 = 1035
  integer, parameter :: nGC_5525 = 1036
  integer, parameter :: nGC_6302 = 1037
  integer, parameter :: nGC_5283 = 1038
  integer, parameter :: nGC_5083 = 1039
  integer, parameter :: nGC_4934 = 1040
  integer, parameter :: nGC_9418 = 1041
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
