!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 09:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_3120) = 2d0*cima*ee**2d0/sw
    coupl(nGC_5543) = coupl(nGC_2)*dZuR_QED2
    coupl(nGC_5544) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_3121) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3502) = -cima*dys_QED3
    coupl(nGC_3122) = -ee/(4d0*cMW*sw)
    coupl(nGC_3503) = cima*dyt_QED1
    coupl(nGC_4899) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_3541) = coupl(nGC_3044)*dyup_QED1_QCD2
    coupl(nGC_3123) = -cMW*ee/(2d0*sw)
    coupl(nGC_3124) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4897) = coupl(nGC_34)*dZsR_QED2
    coupl(nGC_3125) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_3126) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_3127) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3499) = cima*dyc_QED3
    coupl(nGC_5854) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_144) = cima/(2d0*cMW)
    coupl(nGC_3508) = coupl(nGC_3069)*dydo_QED1_QCD2
    coupl(nGC_3509) = coupl(nGC_3069)*dydo_QED1
    coupl(nGC_3088) = -cima*ee**2d0/cw
    coupl(nGC_4961) = coupl(nGC_1)*dZsL_QED2
    coupl(nGC_4962) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_3133) = cima*ee*sw/(3d0*cw)
    coupl(nGC_7019) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_HHH) = -3d0*cima*dt/vev**2d0
    coupl(nGC_7016) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_7017) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_9748) = -coupl(nGC_3401)
    coupl(nGC_4805) = coupl(nGC_29)*dZZA
    coupl(nGC_3558) = coupl(nGC_3171)*dyt_QED1
    coupl(nGC_3229) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3228) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3555) = coupl(nGC_3067)*dyc_QED1_QCD2
    coupl(nGC_3554) = coupl(nGC_3187)*dyup_QED3
    coupl(nGC_3557) = coupl(nGC_3067)*dyc_QED3
    coupl(nGC_3224) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3551) = coupl(nGC_3170)*dyt_QED1
    coupl(nGC_3550) = coupl(nGC_3090)*dyt_QED1
    coupl(nGC_3221) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3552) = coupl(nGC_3187)*dyup_QED1_QCD2
    coupl(nGC_3389) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl( &
                      nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
    coupl(nGC_6986) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_3380) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)*   &
                      coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3381) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_3382) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl( &
                      nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3383) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*   &
                      coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3384) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3386) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3387) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl( &
                      nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5687) = coupl(nGC_29)*dZAZ
    coupl(nGC_5048) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_3447) + coupl(nGC_4)* &
                      dZA/2d0
    coupl(nGC_3313) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3227) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_3259) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3252) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl( &
                      nGC_71)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3253) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3250) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3251) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3256) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_57)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_348))/(32d0*pi**2d0)
    coupl(nGC_3225) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMC**2d0 - cMD**2d0 - &
                      cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3254) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3255) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3556) = coupl(nGC_3067)*dyc_QED1
    coupl(nGC_3223) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_10)**2d0 + 8d0*coupl(   &
                      nGC_11)**2d0)/(192d0*pi**2d0*Nc)
    coupl(nGC_7860) = coupl(nGC_MB)*(dZbL + dZbR)/2d0
    coupl(nGC_7863) = coupl(nGC_3574) + coupl(nGC_7860)
    coupl(nGC_7862) = coupl(nGC_MI)*dZbR
    coupl(nGC_3553) = coupl(nGC_3187)*dyup_QED1
    coupl(nGC_3421) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(48d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_3420) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) - coupl(&
                      nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(96d0*pi**2d0*Nc&
                      )
    coupl(nGC_6985) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_5008) = coupl(nGC_3447) + coupl(nGC_4)*dZWMinus/2d0
    coupl(nGC_5221) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_5220) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_3385) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl( &
                      nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3189) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_6928) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_4849) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_5537) = coupl(nGC_2)*dZtR + coupl(nGC_35)*dZZA/2d0
    coupl(nGC_5536) = coupl(nGC_2)*dZtL + coupl(nGC_39)*dZZA/2d0
    coupl(nGC_3348) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3349) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1)* &
                      coupl(nGC_348) + coupl(nGC_2)*coupl(nGC_3) + coupl(      &
                      nGC_200)*coupl(nGC_38) + coupl(nGC_25)*coupl(nGC_39) +   &
                      coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3341) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6198) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_6199) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_6192) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_6193) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_6059) = coupl(nGC_3526) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_6187) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_6194) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_6195) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5405) = coupl(nGC_3550) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80)*&
                      dZtR/2d0
    coupl(nGC_5404) = coupl(nGC_3551) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78)*&
                      dZtR/2d0
    coupl(nGC_3258) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)*coupl(   &
                      nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_4837) = coupl(nGC_37)*dZZA/2d0
    coupl(nGC_4832) = coupl(nGC_4)*dZAZ/2d0
    coupl(nGC_4938) = coupl(nGC_1)*dZdL_QED2
    coupl(nGC_4939) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_4936) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_4937) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_4935) = coupl(nGC_1)*dZdR_QED2
    coupl(nGC_4838) = -coupl(nGC_4837)
    coupl(nGC_3506) = coupl(nGC_3075)*dydo_QED1
    coupl(nGC_3507) = coupl(nGC_3075)*dydo_QED3
    coupl(nGC_3505) = coupl(nGC_3075)*dydo_QED1_QCD2
    coupl(nGC_3469) = coupl(nGC_3175)*dZee + coupl(nGC_3176)*dsw_
    coupl(nGC_3468) = coupl(nGC_3180)*dZee + coupl(nGC_3181)*dsw_
    coupl(nGC_3465) = coupl(nGC_3098)*dZee + coupl(nGC_3099)*dsw_
    coupl(nGC_3464) = coupl(nGC_3056)*dsw_ + coupl(nGC_3057)*dZee + coupl(     &
                      nGC_3058)*dvev_QEDM1
    coupl(nGC_3467) = coupl(nGC_3112)*dZee + coupl(nGC_3113)*dsw_
    coupl(nGC_3466) = coupl(nGC_3183)*dZee + coupl(nGC_3184)*dsw_
    coupl(nGC_3461) = coupl(nGC_3070)*dZee
    coupl(nGC_3460) = coupl(nGC_3048)*dlam_QED2 + coupl(nGC_3049)*dvev_QEDM1
    coupl(nGC_3463) = coupl(nGC_3116)*dZee + coupl(nGC_3117)*dsw_
    coupl(nGC_3462) = coupl(nGC_3114)*dZee + coupl(nGC_3115)*dsw_
    coupl(nGC_5042) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5049) = -coupl(nGC_5048)
    coupl(nGC_3319) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5169) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5160) = coupl(nGC_3455) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_3257) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(nGC_73)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3263) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)*coupl(   &
                      nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3261) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_4)*coupl( &
                      nGC_83)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3260) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3264) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3269) = (-coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_77) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(nGC_1064)*coupl&
                      (nGC_38)*coupl(nGC_77) - coupl(nGC_2)*coupl(nGC_4)*coupl(&
                      nGC_77) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_80) -    &
                      coupl(nGC_23)*coupl(nGC_79)*coupl(nGC_818) + 8d0*coupl(  &
                      nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(nGC_35)*coupl&
                      (nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_54)*    &
                      coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_79 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3268) = (-coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_53) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(nGC_1064)*coupl&
                      (nGC_34)*coupl(nGC_53) - coupl(nGC_2)*coupl(nGC_4)*coupl(&
                      nGC_53) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_55) -    &
                      coupl(nGC_23)*coupl(nGC_56)*coupl(nGC_602) + 8d0*coupl(  &
                      nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl(nGC_39)*coupl&
                      (nGC_40)*coupl(nGC_53) - coupl(nGC_55)*coupl(nGC_77)*    &
                      coupl(nGC_79) - coupl(nGC_56)*coupl(nGC_77)*coupl(nGC_78 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3311) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4886) = coupl(nGC_3494) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_4887) = coupl(nGC_3493) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl(   &
                      nGC_61)*dZuL_QED2/2d0
    coupl(nGC_4885) = coupl(nGC_3491) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_61)*dZuL_QCD2/2d0
    coupl(nGC_5579) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_7728) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_7729) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_4888) = coupl(nGC_3496) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                      nGC_85)*dZuR_QED2/2d0
    coupl(nGC_3487) = coupl(nGC_3147)*dZee + coupl(nGC_3148)*dsw_ + coupl(     &
                      nGC_3149)*dcw_
    coupl(nGC_3486) = coupl(nGC_3153)*dZee + coupl(nGC_3154)*dsw_ + coupl(     &
                      nGC_3155)*dcw_
    coupl(nGC_3484) = coupl(nGC_3104)*dZee + coupl(nGC_3105)*dsw_
    coupl(nGC_3483) = coupl(nGC_112)*dZgs_QCD2
    coupl(nGC_3480) = coupl(nGC_3071)*dsw_ + coupl(nGC_3072)*dZee + coupl(     &
                      nGC_3073)*dcw_ + coupl(nGC_3074)*dvev_QEDM1
    coupl(nGC_3489) = coupl(nGC_3156)*dZee + coupl(nGC_3157)*dsw_ + coupl(     &
                      nGC_3158)*dcw_
    coupl(nGC_3488) = coupl(nGC_3133)*dZee + coupl(nGC_3134)*dsw_ + coupl(     &
                      nGC_3135)*dcw_
    coupl(nGC_5905) = coupl(nGC_1)*dZbR + coupl(nGC_34)*dZZA/2d0
    coupl(nGC_5907) = coupl(nGC_4943) + coupl(nGC_5905)
    coupl(nGC_4972) = coupl(nGC_2)*dZcL_QED2
    coupl(nGC_4973) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_4977) = coupl(nGC_2)*dZcR_QED2
    coupl(nGC_4974) = coupl(nGC_39)*dZZA/2d0
    coupl(nGC_4978) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_4979) = coupl(nGC_35)*dZZA/2d0
    coupl(nGC_7020) = coupl(nGC_3562) + coupl(nGC_7017)
    coupl(nGC_4873) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_3467) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_4874) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_3548) = coupl(nGC_3066)*dyc_QED1
    coupl(nGC_3549) = coupl(nGC_3066)*dyc_QED3
    coupl(nGC_3238) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_348))/(32d0*pi**2d0)
    coupl(nGC_3239) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(nGC_53)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3234) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_276)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_1064)*coupl(nGC_200)*coupl(    &
                      nGC_51) - coupl(nGC_196)*coupl(nGC_348)*coupl(nGC_51) -  &
                      coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50) + 6d0*coupl(    &
                      nGC_200)*coupl(nGC_3)*coupl(nGC_47) + 6d0*coupl(nGC_3)*  &
                      coupl(nGC_348)*coupl(nGC_51))/(32d0*pi**2d0)
    coupl(nGC_3235) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(  &
                      nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(   &
                      nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 +  &
                      4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(   &
                      nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 -  &
                      4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(   &
                      nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 +  &
                      coupl(nGC_1064)**2d0*coupl(nGC_4) + coupl(nGC_196)**2d0* &
                      coupl(nGC_4) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(     &
                      nGC_978) - 6d0*coupl(nGC_22)*coupl(nGC_3)*coupl(nGC_602  &
                      ) + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 + 4d0*coupl(nGC_4&
                      )*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_81)**  &
                      2d0)/(96d0*pi**2d0)
    coupl(nGC_3236) = (coupl(nGC_196)*coupl(nGC_602)*coupl(nGC_978) - 6d0*coupl&
                      (nGC_20)*coupl(nGC_22)*coupl(nGC_348) - 6d0*coupl(nGC_21 &
                      )*coupl(nGC_22)*coupl(nGC_3) + coupl(nGC_4)*coupl(nGC_602&
                      )*coupl(nGC_818))/(96d0*pi**2d0)
    coupl(nGC_3237) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_276)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_348)*coupl(nGC_50&
                      ) + 6d0*coupl(nGC_25)*coupl(nGC_348)*coupl(nGC_47) -     &
                      coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_51) + 6d0*coupl(   &
                      nGC_3)*coupl(nGC_348)*coupl(nGC_51) - coupl(nGC_3)*coupl(&
                      nGC_4)*coupl(nGC_51))/(32d0*pi**2d0)
    coupl(nGC_3546) = coupl(nGC_3068)*dyc_QED3
    coupl(nGC_3231) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3232) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3545) = coupl(nGC_3068)*dyc_QED1
    coupl(nGC_7433) = coupl(nGC_MI)*dZZ
    coupl(nGC_7436) = coupl(nGC_3575) + coupl(nGC_MZ)*dZZ
    coupl(nGC_7437) = -coupl(nGC_7433)
    coupl(nGC_3291) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_1064)*coupl&
                      (nGC_35)*coupl(nGC_85) + coupl(nGC_196)*coupl(nGC_2)*    &
                      coupl(nGC_85) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_86 &
                      ) + coupl(nGC_23)*coupl(nGC_87)*coupl(nGC_978) + 8d0*    &
                      coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) + coupl(nGC_38 &
                      )*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(     &
                      nGC_63)*coupl(nGC_87) - coupl(nGC_61)*coupl(nGC_64)*coupl&
                      (nGC_86))/(32d0*pi**2d0)
    coupl(nGC_5696) = coupl(nGC_3480) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_6003) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3440)
    coupl(nGC_4906) = coupl(nGC_3487) + coupl(nGC_38)*dZZ/2d0
    coupl(nGC_4905) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_3488)
    coupl(nGC_4904) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_4903) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_3305) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4901) = coupl(nGC_38)*dZsL_QED2
    coupl(nGC_4908) = coupl(nGC_4904) + coupl(nGC_4906)
    coupl(nGC_3436) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2322) + 9d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_2322)*sq2**2d0 + 12d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_3437) = cima*coupl(nGC_11)**4d0*sq2**4d0/(48d0*pi**2d0*Nc**2d0)
    coupl(nGC_3434) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2318) - 9d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_2324) - 40d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_3435) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2322) + 3d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_2322)*sq2**2d0 + 24d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3432) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_2322)**2d0 + &
                      39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2322)*sq2**2d0 + 24d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_7976) = coupl(nGC_MI)*dZA
    coupl(nGC_3430) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_2324)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2318)* &
                      sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_2324)*sq2** &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_3431) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2322) + 12d0*Nc*coupl(nGC_10)**  &
                      2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_2322)*sq2**2d0 + 12d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_3438) = -cima*coupl(nGC_11)**4d0*sq2**4d0/(16d0*pi**2d0*Nc**3d0)
    coupl(nGC_3439) = coupl(nGC_3103)*dZgs_QCD2
    coupl(nGC_3281) = (coupl(nGC_1064)*coupl(nGC_41)*coupl(nGC_81) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_23)*coupl&
                      (nGC_818)*coupl(nGC_83) + coupl(nGC_36)*coupl(nGC_40)*   &
                      coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81))/(32d0*pi**2d0)
    coupl(nGC_3280) = (-coupl(nGC_1064)*coupl(nGC_36)*coupl(nGC_69) - coupl(   &
                      nGC_196)*coupl(nGC_4)*coupl(nGC_69) - coupl(nGC_20)*coupl&
                      (nGC_23)*coupl(nGC_71) - coupl(nGC_23)*coupl(nGC_602)*   &
                      coupl(nGC_72) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_69))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3285) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_1064)*coupl&
                      (nGC_39)*coupl(nGC_53) + coupl(nGC_196)*coupl(nGC_2)*    &
                      coupl(nGC_53) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_55 &
                      ) + coupl(nGC_23)*coupl(nGC_54)*coupl(nGC_602) + 8d0*    &
                      coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) + coupl(nGC_34 &
                      )*coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_54)*coupl(     &
                      nGC_77)*coupl(nGC_80) - coupl(nGC_55)*coupl(nGC_77)*coupl&
                      (nGC_79))/(32d0*pi**2d0)
    coupl(nGC_3284) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_276)*coupl(   &
                      nGC_51) - coupl(nGC_200)*coupl(nGC_21)*coupl(nGC_50) +   &
                      6d0*coupl(nGC_200)*coupl(nGC_25)*coupl(nGC_47) + 6d0*    &
                      coupl(nGC_200)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_200&
                      )*coupl(nGC_52)*coupl(nGC_978) - coupl(nGC_25)*coupl(    &
                      nGC_40)*coupl(nGC_47) - coupl(nGC_3)*coupl(nGC_4)*coupl( &
                      nGC_47))/(32d0*pi**2d0)
    coupl(nGC_3539) = coupl(nGC_3185)*dyup_QED1
    coupl(nGC_3286) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_1064)*coupl&
                      (nGC_35)*coupl(nGC_77) + coupl(nGC_196)*coupl(nGC_2)*    &
                      coupl(nGC_77) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_78 &
                      ) + coupl(nGC_23)*coupl(nGC_79)*coupl(nGC_978) + 8d0*    &
                      coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) + coupl(nGC_38 &
                      )*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(     &
                      nGC_55)*coupl(nGC_79) - coupl(nGC_53)*coupl(nGC_56)*coupl&
                      (nGC_78))/(32d0*pi**2d0)
    coupl(nGC_3537) = coupl(nGC_3097)*dytau_QED1
    coupl(nGC_3536) = coupl(nGC_3082)*dym_QED1
    coupl(nGC_3535) = coupl(nGC_3077)*dye_QED1
    coupl(nGC_3534) = coupl(nGC_3102)*dytau_QED1
    coupl(nGC_3533) = coupl(nGC_3094)*dytau_QED1
    coupl(nGC_3532) = coupl(nGC_3083)*dym_QED1
    coupl(nGC_3531) = coupl(nGC_3084)*dym_QED1
    coupl(nGC_3530) = coupl(nGC_3078)*dye_QED1
    coupl(nGC_5298) = coupl(nGC_3459) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_5154) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_5152) = coupl(nGC_38)*dZdL_QED2
    coupl(nGC_5150) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_6133) = coupl(nGC_3555) + coupl(nGC_6132)
    coupl(nGC_6134) = coupl(nGC_3556) + coupl(nGC_59)*dZH/2d0
    coupl(nGC_6135) = coupl(nGC_3557) + coupl(nGC_6131)
    coupl(nGC_5336) = coupl(nGC_3537) + coupl(nGC_83)*dZH/2d0
    coupl(nGC_6477) = coupl(nGC_3487) + coupl(nGC_38)*dZZ/2d0 + coupl(nGC_38)* &
                      dZbL
    coupl(nGC_6476) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_34)*dZbR + coupl(      &
                      nGC_3488)
    coupl(nGC_6479) = coupl(nGC_4904) + coupl(nGC_6477)
    coupl(nGC_6478) = coupl(nGC_4904) + coupl(nGC_6476)
    coupl(nGC_6344) = coupl(nGC_3503) + coupl(nGC_77)*dZbL/2d0 + coupl(nGC_77)*&
                      dZtR/2d0
    coupl(nGC_3209) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_36)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_36)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_40&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_200)**2d0 + 3d0*cMW &
                      **2d0*cima*coupl(nGC_25)**2d0 - 2d0*cMW**2d0*coupl(      &
                      nGC_372))/(16d0*pi**2d0)
    coupl(nGC_5529) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus + coupl(nGC_3441)
    coupl(nGC_5241) = coupl(nGC_3476) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_3379) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(     &
                      nGC_87)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3378) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*coupl(     &
                      nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3371) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3370) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3373) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +     &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_73)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3372) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_200 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +    &
                      coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3375) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*coupl(     &
                      nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3374) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*coupl(     &
                      nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3377) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82)*coupl(&
                      nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3376) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +     &
                      coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3206) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_23&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_200)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 +   &
                      3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 + 3d0*cMW**2d0*cima* &
                      coupl(nGC_348)**2d0 - 4d0*cMW**2d0*coupl(nGC_18) + 3d0*  &
                      cMZ**2d0*cima*coupl(nGC_200)**2d0 + 3d0*cMZ**2d0*cima*   &
                      coupl(nGC_25)**2d0 - 2d0*cMZ**2d0*coupl(nGC_372))/(32d0* &
                      pi**2d0)
    coupl(nGC_5416) = coupl(nGC_35)*dZuR_QCD2
    coupl(nGC_5414) = coupl(nGC_35)*dZuR_QED2
    coupl(nGC_3321) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5418) = coupl(nGC_39)*dZuL_QED2
    coupl(nGC_4825) = coupl(nGC_17)*dZWMinus + coupl(nGC_3469)
    coupl(nGC_4820) = coupl(nGC_3500) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_73)*dZsR_QCD2/2d0
    coupl(nGC_4821) = coupl(nGC_3499) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl(   &
                      nGC_57)*dZsL_QED2/2d0
    coupl(nGC_4822) = coupl(nGC_3502) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl(   &
                      nGC_73)*dZsR_QED2/2d0
    coupl(nGC_4940) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_4945) = coupl(nGC_4940) + coupl(nGC_4943)
    coupl(nGC_4944) = coupl(nGC_4937) + coupl(nGC_4943)
    coupl(nGC_3478) = coupl(nGC_3060)*dZee + coupl(nGC_3061)*dsw_ + coupl(     &
                      nGC_3062)*dcw_
    coupl(nGC_3479) = coupl(nGC_3172)*dZee + coupl(nGC_3173)*dsw_ + coupl(     &
                      nGC_3174)*dcw_
    coupl(nGC_3577) = coupl(nGC_144)*dMW2
    coupl(nGC_3472) = coupl(nGC_3143)*dZee + coupl(nGC_3144)*dsw_ + coupl(     &
                      nGC_3145)*dcw_
    coupl(nGC_3473) = coupl(nGC_3150)*dZee + coupl(nGC_3151)*dsw_ + coupl(     &
                      nGC_3152)*dcw_
    coupl(nGC_3579) = coupl(nGC_152)*dMZ2
    coupl(nGC_3578) = coupl(nGC_148)*dMW2
    coupl(nGC_3477) = coupl(nGC_3080)*dZee + coupl(nGC_3081)*dcw_
    coupl(nGC_3474) = coupl(nGC_3100)*dZee + coupl(nGC_3101)*dcw_
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
